Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.security
Class WSRPIdentityAsserterProviderImpl

    java.lang.Object
      com.bea.wsrp.security.WSRPIdentityAsserterProviderImpl

All Implemented Interfaces
  AuthenticationProvider, IdentityAsserter, SecurityProvider

    public final class WSRPIdentityAsserterProviderImpl

extends Object
implements AuthenticationProvider, IdentityAsserter

Asserts user identity for WSRP calls.

Field Summary

Fields inherited from interface weblogic.security.spi.IdentityAsserter
`AU_TYPE, AUTHORIZATION_NEGOTIATE, CSI_ANONYMOUS_TYPE, CSI_DISTINGUISHED_NAME_TYPE, CSI_PRINCIPAL_TYPE, CSI_X509_CERTCHAIN_TYPE, WSSE_PASSWORD_DIGEST_TYPE, WWW_AUTHENTICATE_NEGOTIATE, X509_TYPE`

Constructor Summary
`WSRPIdentityAsserterProviderImpl()`

Method Summary
`CallbackHandler` | `assertIdentity(String type, Object token)` Asserts identity given a token that identifies the user.
`AppConfigurationEntry` | `getAssertionModuleConfiguration()` Return how to call the login module to complete identity assertion (where the identity asserter finds the user name and the authenticator puts the user and its groups into the subject).
`String` | `getDescription()` Returns the description
`IdentityAsserter` | `getIdentityAsserter()` Returns the identity asseter.
`AppConfigurationEntry` | `getLoginModuleConfiguration()` Return how to call the login module to perform authentication.
`PrincipalValidator` | `getPrincipalValidator()` Return an object that can validate principals (eg.
`void` | `initialize(ProviderMBean mbean, SecurityServices services)` Initializes this identity asserter
`void` | `shutdown()` Shuts down this identity asserter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSRPIdentityAsserterProviderImpl

    public WSRPIdentityAsserterProviderImpl()

Method Detail

### initialize

    public void initialize(ProviderMBean mbean,
                           SecurityServices services)

  Initializes this identity asserter

  Specified by:
    `initialize` in interface `SecurityProvider`
  Parameters
    `mbean` - holds the simple identity asserter's configuration data.
    `services` - The SecurityServices gives access to the auditor so that the provider can to post audit events.

### getDescription

    public String getDescription()

  Returns the description

  Specified by:
    `getDescription` in interface `SecurityProvider`
  Returns
    description

### shutdown

    public void shutdown()

  Shuts down this identity asserter.

  Specified by:
    `shutdown` in interface `SecurityProvider`

### getIdentityAsserter

    public IdentityAsserter getIdentityAsserter()

  Returns the identity asseter.

  Specified by:
    `getIdentityAsserter` in interface `AuthenticationProvider`
  Returns
    identity asserter

### assertIdentity

    public CallbackHandler assertIdentity(String type,
                                          Object token)
                                   throws IdentityAssertionException

  Asserts identity given a token that identifies the user.

  Specified by:
    `assertIdentity` in interface `IdentityAsserter`
  Parameters
    `type` - a string containing the token type
    `token` - an object containing the token that identifies the user.
  Returns
    a CallbackHandler that stores the username from the token.
  Throws
    `IdentityAssertionException` - if another token type is passed in or the token doesn't have the correct form.

### getLoginModuleConfiguration

    public AppConfigurationEntry getLoginModuleConfiguration()

  Return how to call the login module to perform authentication.

  Specified by:
    `getLoginModuleConfiguration` in interface `AuthenticationProvider`
  Returns
    A null AppConfigurationEntry since the simple sample identity asserter is not an authenticator (thus doesn't have a login module).

### getAssertionModuleConfiguration

    public AppConfigurationEntry getAssertionModuleConfiguration()

  Return how to call the login module to complete identity assertion (where the identity asserter finds the user name and the authenticator puts the user and its groups into the subject).

  Specified by:
    `getAssertionModuleConfiguration` in interface `AuthenticationProvider`
  Returns
    A null AppConfigurationEntry since the simple sample identity asserter is not an authenticator (thus doesn't have a login module).

### getPrincipalValidator

    public PrincipalValidator getPrincipalValidator()

  Return an object that can validate principals (eg. users and groups) that this provider puts into the subject.

  Specified by:
    `getPrincipalValidator` in interface `AuthenticationProvider`
  Returns
    A null PrincipalValidator since the simple sample identity asserter is not an authenticator (thus doesn't put principals into the subject).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.